%define upstream_name Test-Deep-Type
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	A Test::Deep plugin for validating type constraints
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build::Tiny)
BuildRequires:	perl(Safe::Isa)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(namespace::clean)

BuildArch:	noarch

%description
A Test::Deep plugin for validating type constraints.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1034274
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 967772
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 850229
- imported package perl-Test-Deep-Type

